% Legendre, Tchebychev : temps d'excution en fonction du nombre de points
nbpt = 20; % max
t_leg = zeros(1,nbpt);
t_tche = zeros(1,nbpt);
for n=1:nbpt 
    
    n
    
    leg = clock;
    I = integ_gaussienne('leg',n,'2*x+1');
    t_leg(n) = etime(clock,leg);
    
    tche = clock;
    I = integ_gaussienne('tche',n,'(2*x+1)*sqrt(1-x^2)');
    t_tche(n) = etime(clock,tche);

end
plot(1:nbpt,t_leg,'r',1:nbpt,t_tche,'g')
