% Milieux, trapzes, Simpson : reprsentation graphique
it = 1;
e = [10^-15,10^-14,10^-13,10^-12,10^-11,10^-10];
t_milieu = zeros(1,size(e,2));
t_trapeze = zeros(1,size(e,2));
t_simpson = zeros(1,size(e,2));
for precision=1:size(e,2) 
    precision
    
    milieu = clock;
    for i=1:it
        [I,k] = integ_classique('milieu',0,pi/2,e(precision),'sin(x)');
    end
    t_milieu(precision) = etime(clock,milieu);
    
    trapeze = clock;
    for i=1:it
        [I,k] = integ_classique('trapeze',0,pi/2,e(precision),'sin(x)');
    end
    t_trapeze(precision) = etime(clock,trapeze);

    simpson = clock;
    for i=1:it
        [I,k] = integ_classique('simpson',0,pi/2,e(precision),'sin(x)');
    end
    t_simpson(precision) = etime(clock,simpson);
end
plot(1./e,t_milieu,'r',1./e,t_trapeze,'g',1./e,t_simpson,'b')
